Package org.eclipse.graphiti.ui.internal.parts

# Class AdvancedAnchorEditPart

java.lang.Object
org.eclipse.gef.editparts.AbstractEditPart
org.eclipse.gef.editparts.AbstractGraphicalEditPart
org.eclipse.graphiti.ui.internal.parts.AdvancedAnchorEditPart

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.gef.EditPart`, `org.eclipse.gef.GraphicalEditPart`, `org.eclipse.gef.NodeEditPart`, `org.eclipse.gef.RequestConstants`, `IFeatureProviderHolder`, `IConfigurationProviderHolder`, `IAnchorContainerEditPart`, `IAnchorEditPart`, `IPictogramElementEditPart`

public class AdvancedAnchorEditPart extends org.eclipse.gef.editparts.AbstractGraphicalEditPart implements IAnchorEditPart, org.eclipse.gef.NodeEditPart
EditPart for an `AdvancedAnchor`. Such an anchor can be positioned either at a fixed point of the container (`FixPointAnchor`) or relative to a container (`BoxRelativeAnchor`). For the graphical notation see `AdvancedAnchor` and its subclasses `FixPointAnchor` adn `BoxRelativeAnchor`. .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

## Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart

`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected IPictogramElementDelegate`
`delegate`
The delegate.

### Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`figure, sourceConnections, targetConnections`

### Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart

`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`AdvancedAnchorEditPart(IConfigurationProviderInternal configurationProvider, AdvancedAnchor anchor)`
Instantiates a new anchor edit part.

## Method Summary

Modifier and Type
Method
Description
`void`
`activate()`
`protected void`
`createEditPolicies()`
`protected org.eclipse.draw2d.IFigure`
`createFigure()`
`void`
`deactivate()`
`void`
`eraseSourceFeedback(org.eclipse.gef.Request request)`
`void`
`eraseTargetFeedback(org.eclipse.gef.Request request)`
`Object`
`getAdapter(Class key)`
`IConfigurationProviderInternal`
`getConfigurationProvider()`
Returns the IConfigurationProviderInternal.
`org.eclipse.gef.DragTracker`
`getDragTracker(org.eclipse.gef.Request request)`
Allow the initiation of a connection creation by draginvalid input: '&drop' from an anchor (FixPoint and BoxReleative)
`IFeatureProvider`
`getFeatureProvider()`
Gets the feature provider.
`List<PictogramElement>`
`getModelChildren()`
Gets the model children.
`List<Connection>`
`getModelSourceConnections()`
Gets the model source connections.
`List<Connection>`
`getModelTargetConnections()`
Gets the model target connections.
`PictogramElement`
`getPictogramElement()`
Gets the pictogram element.
`IPictogramElementDelegate`
`getPictogramElementDelegate()`
Gets the pictogram element delegate.
`org.eclipse.draw2d.ConnectionAnchor`
`getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)`
`org.eclipse.draw2d.ConnectionAnchor`
`getSourceConnectionAnchor(org.eclipse.gef.Request request)`
`org.eclipse.draw2d.ConnectionAnchor`
`getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)`
`org.eclipse.draw2d.ConnectionAnchor`
`getTargetConnectionAnchor(org.eclipse.gef.Request request)`
`protected void`
`refreshChildren()`
`void`
`refreshDecorators()`
`protected void`
`refreshVisuals()`
`void`
`showSourceFeedback(org.eclipse.gef.Request request)`
`void`
`showTargetFeedback(org.eclipse.gef.Request request)`

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getChildren, getContentPane, getFigure, getLayer, getSourceConnections, getTargetConnections, isSelectable, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refresh, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeNotify, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getCommand, getEditPolicy, getEditPolicyIterable, getEditPolicyIterator, getEventListeners, getEventListenersIterable, getFlag, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, performRequest, register, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setParent, setSelected, toString, understandsRequest, unregister, unregisterAccessibility, unregisterModel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.EditPart

`addEditPartListener, addNotify, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, understandsRequest`

### Methods inherited from interface org.eclipse.gef.GraphicalEditPart

`addNodeListener, getChildren, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

## Field Details

### delegate

protected IPictogramElementDelegate delegate
The delegate.

## Constructor Details

### AdvancedAnchorEditPart

public AdvancedAnchorEditPart(IConfigurationProviderInternal configurationProvider, AdvancedAnchor anchor)
Instantiates a new anchor edit part.

Parameters:
  `configurationProvider` - the configuration provider
  `anchor` - the anchor

## Method Details

### activate

public void activate()

Specified by:
  `activate` in interface `org.eclipse.gef.EditPart`
Overrides:
  `activate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### createFigure

protected org.eclipse.draw2d.IFigure createFigure()

Specified by:
  `createFigure` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### deactivate

public void deactivate()

Specified by:
  `deactivate` in interface `org.eclipse.gef.EditPart`
Overrides:
  `deactivate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getConfigurationProvider

public IConfigurationProviderInternal getConfigurationProvider() throws IllegalStateException
Description copied from interface: `IConfigurationProviderHolder`
Returns the IConfigurationProviderInternal. Must not return null.

Specified by:
  `getConfigurationProvider` in interface `IConfigurationProviderHolder`
Returns:
  The IConfigurationProviderInternal. Must not return null.
Throws:
  `IllegalStateException` - If no IConfigurationProviderInternal is available (if it is null).

### getModelSourceConnections

public List<Connection> getModelSourceConnections()
Description copied from interface: `IPictogramElementEditPart`
Gets the model source connections.

Specified by:
  `getModelSourceConnections` in interface `IPictogramElementEditPart`
Overrides:
  `getModelSourceConnections` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`
Returns:
  the model source connections

### getModelTargetConnections

public List<Connection> getModelTargetConnections()
Description copied from interface: `IPictogramElementEditPart`
Gets the model target connections.

Specified by:
  `getModelTargetConnections` in interface `IPictogramElementEditPart`
Overrides:
  `getModelTargetConnections` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`
Returns:
  the model target connections

### getPictogramElement

public PictogramElement getPictogramElement()
Description copied from interface: `IPictogramElementEditPart`
Gets the pictogram element.

Specified by:
  `getPictogramElement` in interface `IPictogramElementEditPart`
Returns:
  the pictogram element

### getSourceConnectionAnchor

public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

Specified by:
  `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getSourceConnectionAnchor

public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.Request request)

Specified by:
  `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getTargetConnectionAnchor

public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

Specified by:
  `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getTargetConnectionAnchor

public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.Request request)

Specified by:
  `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### refreshVisuals

protected void refreshVisuals()

Overrides:
  `refreshVisuals` in class `org.eclipse.gef.editparts.AbstractEditPart`

### refreshChildren

protected void refreshChildren()

Overrides:
  `refreshChildren` in class `org.eclipse.gef.editparts.AbstractEditPart`

### getModelChildren

public List<PictogramElement> getModelChildren()
Description copied from interface: `IPictogramElementEditPart`
Gets the model children.

Specified by:
  `getModelChildren` in interface `IPictogramElementEditPart`
Overrides:
  `getModelChildren` in class `org.eclipse.gef.editparts.AbstractEditPart`
Returns:
  the model children

### getAdapter

public Object getAdapter(Class key)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getFeatureProvider

public IFeatureProvider getFeatureProvider()
Description copied from interface: `IFeatureProviderHolder`
Gets the feature provider.

Specified by:
  `getFeatureProvider` in interface `IFeatureProviderHolder`
Returns:
  the feature provider

### getPictogramElementDelegate

public IPictogramElementDelegate getPictogramElementDelegate()
Description copied from interface: `IPictogramElementEditPart`
Gets the pictogram element delegate.

Specified by:
  `getPictogramElementDelegate` in interface `IPictogramElementEditPart`
Returns:
  the pictogram element delegate

### createEditPolicies

protected void createEditPolicies()

Specified by:
  `createEditPolicies` in class `org.eclipse.gef.editparts.AbstractEditPart`

### getDragTracker

public org.eclipse.gef.DragTracker getDragTracker(org.eclipse.gef.Request request)
Allow the initiation of a connection creation by draginvalid input: '&drop' from an anchor (FixPoint and BoxReleative)

Specified by:
  `getDragTracker` in interface `org.eclipse.gef.EditPart`
Overrides:
  `getDragTracker` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### eraseSourceFeedback

public void eraseSourceFeedback(org.eclipse.gef.Request request)

Specified by:
  `eraseSourceFeedback` in interface `org.eclipse.gef.EditPart`
Overrides:
  `eraseSourceFeedback` in class `org.eclipse.gef.editparts.AbstractEditPart`

### eraseTargetFeedback

public void eraseTargetFeedback(org.eclipse.gef.Request request)

Specified by:
  `eraseTargetFeedback` in interface `org.eclipse.gef.EditPart`
Overrides:
  `eraseTargetFeedback` in class `org.eclipse.gef.editparts.AbstractEditPart`

### showSourceFeedback

public void showSourceFeedback(org.eclipse.gef.Request request)

Specified by:
  `showSourceFeedback` in interface `org.eclipse.gef.EditPart`
Overrides:
  `showSourceFeedback` in class `org.eclipse.gef.editparts.AbstractEditPart`

### showTargetFeedback

public void showTargetFeedback(org.eclipse.gef.Request request)

Specified by:
  `showTargetFeedback` in interface `org.eclipse.gef.EditPart`
Overrides:
  `showTargetFeedback` in class `org.eclipse.gef.editparts.AbstractEditPart`

### refreshDecorators

public void refreshDecorators()

Specified by:
  `refreshDecorators` in interface `IAnchorContainerEditPart`